Bug 1569677 - Duplicate templates in OpenShift console
Summary: Duplicate templates in OpenShift console
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.7.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 19:10 UTC by Matthew Robson
Modified: 2018-09-03 06:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-20 16:21:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Robson 2018-04-19 19:10:25 UTC
Description of problem:

With the Service Catalog installed, we are seeing duplicate templates in the OpenShift console.

Upstream issue:

https://github.com/openshift/origin-web-console/issues/2928

Version-Release number of selected component (if applicable):

oc version
oc v3.7.23
kubernetes v1.7.6+a08f5eeb62
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://mrlb.usersys.redhat.com:8443
openshift v3.7.23
kubernetes v1.7.6+a08f5eeb62

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.

Actual results:

Templates are duplicated in the console

Expected results:

Only 1 version of each template.

Additional info:

Comment 1 Samuel Padgett 2018-04-19 19:14:34 UTC
Is this a problem in all namespaces or only the `openshift` namespace? I suspect this is different than https://github.com/openshift/origin-web-console/issues/2928

Comment 3 Samuel Padgett 2018-04-19 19:21:40 UTC
Can you check if

/etc/origin/master/openshift-ansible-catalog-console.js

on the masters exists and has the following content?

window.OPENSHIFT_CONSTANTS.TEMPLATE_SERVICE_BROKER_ENABLED = true;

If the file exists, but the value is set to false, you should be able to set it to true  and restart the masters to fix the problem.

This is a different problem than https://github.com/openshift/origin-web-console/issues/2928

Comment 4 Matthew Robson 2018-04-19 19:25:19 UTC
Looks fine on all 3 masters:

[root@ociopf-d-100 ~]# cat /etc/origin/master/openshift-ansible-catalog-console.js
window.OPENSHIFT_CONSTANTS.TEMPLATE_SERVICE_BROKER_ENABLED = true;

Comment 5 Samuel Padgett 2018-04-19 19:39:21 UTC
Can you check that the output of

```
$ curl -k https://<hostname>/console/scripts/extensions.js
```

also has that value set to true?

Comment 7 Samuel Padgett 2018-04-19 21:13:49 UTC
OK, that's why the templates are showing up twice. The extension is not being loaded by the web console.

- Can you check master-config.yaml to see if the extension file is set in `assetConfig.extensionScripts`?

- If it's already there, can you try restarting the masters?

- If it's not there, can you add it and restart the masters?

$ systemctl restart origin-master-api origin-master-controllers


Note You need to log in before you can comment on or make changes to this bug.